package gmt.common.vo;

public class SystemInfoVO {
	private String name;
	private String ip;
	private int ha;
	private int bufSize;
	private int logLevel;
	private int logPort;
	private int monitorServicePort;
	private int monitorServerPort;
	private int statChktime;
	private int statSendTime;
	private boolean statSend;
	private int updateTime;
	private int statPort;
	
	public SystemInfoVO() {
		name = "";
		ip = "";
		ha = 0;
		bufSize = 10000;
		logLevel = 2;
		logPort= 9010;
		statChktime = 60;
		statSendTime = 60;
		statSend = true;
		updateTime = 5;
		statPort = 9000;
		monitorServicePort = 9999;
		monitorServerPort = 8030;
	}
	
	public int getHa() {
		return ha;
	}

	public void setHa(int ha) {
		this.ha = ha;
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getLogPort() {
		return logPort;
	}

	public void setLogPort(int logPort) {
		this.logPort = logPort;
	}

	public int getmonitorServicePort() {
		return monitorServicePort;
	}

	public void setmonitorServicePort(int monitorServicePort) {
		this.monitorServicePort = monitorServicePort;
	}
	
	public int getmonitorServerPort() {
		return monitorServerPort;
	}

	public void setmonitorServerPort(int monitorServerPort) {
		this.monitorServerPort = monitorServerPort;
	}
	
	public int getStatPort() {
		return statPort;
	}

	public void setStatPort(int statPort) {
		this.statPort = statPort;
	}

	public String getIp() {
		return ip;
	}
	public void setIp(String ip) {
		this.ip = ip;
	}
	public int getBufSize() {
		return bufSize;
	}
	public void setBufSize(int bufSize) {
		this.bufSize = bufSize;
	}
	public int getLogLevel() {
		return logLevel;
	}
	public void setLogLevel(int logLevel) {
		this.logLevel = logLevel;
	}
	public int getStatChktime() {
		return statChktime;
	}
	public void setStatChktime(int statChktime) {
		this.statChktime = statChktime;
	}
	public int getStatSendTime() {
		return statSendTime;
	}
	public void setStatSendTime(int statSendTime) {
		this.statSendTime = statSendTime;
	}
	public Boolean getStatSend() {
		return statSend;
	}
	public void setStatSend(Boolean statSend) {
		this.statSend = statSend;
	}
	public int getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(int updateTime) {
		this.updateTime = updateTime;
	}
	
	
}
